# feedback
**This page contains information about reporting issues as well as some tips and guidelines useful to experienced open source contributors.**

**Finally, make sure you read our community guidelines before you start participating.**

### Reporting Security Issues

The Swarmlab.io maintainers take security seriously. If you discover a security issue, please bring it to their attention right away!

> Please DO NOT file a public issue, instead send your report privately to security@swarmlab.io.

Security reports are greatly appreciated and we will publicly thank you for it, although we keep your name confidential if you request it.

### Reporting other issues

A great way to contribute to the project is to send a detailed report when you encounter an issue. We always appreciate a well-written, thorough bug report, and will thank you for it!

Check that our issue database doesn’t already include that problem or suggestion before submitting an issue. However, if you have ways to reproduce the issue or have additional information that may help resolving the issue, please leave a comment.

> When reporting issues, always include: as much information as you can

Also include the steps required to reproduce the problem if possible and applicable. This information will help us review and fix your issue faster. Don’t forget to remove sensitive data from your logfiles before posting (you can replace those parts with "REDACTED"). Quick contribution tips and guidelines

### contributions can make a docker-compose prototype

All developers already familiar with docker-compose and that have already set up interesting stacks that may be useful to others, are highly encouraged to add them to the repository and share them. Improvements on the current samples are also very much appreciated!
